Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.impl.render.dynamic
Class DynaRegionRenderer

    java.lang.Object
      org.jboss.portal.theme.render.AbstractObjectRenderer
          org.jboss.portal.theme.impl.render.dynamic.DynaRegionRenderer

All Implemented Interfaces:
  ObjectRenderer, RegionRenderer

    public class DynaRegionRenderer

extends AbstractObjectRenderer
implements RegionRenderer

Implementation of a drag and drop Region renderer.

Author:
  Tomasz Szymanski, Roy Russo
See Also:
  `RegionRenderer`

Constructor Summary
`DynaRegionRenderer(RegionRenderer regionRenderer)`

Method Summary
`void` | `endContext(RendererContext rendererContext, ObjectRendererContext objectRenderContext)`
`void` | `renderBody(RendererContext rendererContext, RegionRendererContext rrc)`
`void` | `renderFooter(RendererContext rendererContext, RegionRendererContext rrc)`
`void` | `renderHeader(RendererContext rendererContext, RegionRendererContext rrc)`
`void` | `startContext(RendererContext rendererContext, ObjectRendererContext objectRenderContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynaRegionRenderer

    public DynaRegionRenderer(RegionRenderer regionRenderer)
                       throws java.lang.InstantiationException,
                              java.lang.IllegalAccessException,
                              java.lang.ClassNotFoundException

Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`
  `java.lang.ClassNotFoundException`

Method Detail

### startContext

    public void startContext(RendererContext rendererContext,
                             ObjectRendererContext objectRenderContext)

  Specified by:
    `startContext` in interface `ObjectRenderer`
  Overrides:
    `startContext` in class `AbstractObjectRenderer`

### endContext

    public void endContext(RendererContext rendererContext,
                           ObjectRendererContext objectRenderContext)

  Specified by:
    `endContext` in interface `ObjectRenderer`
  Overrides:
    `endContext` in class `AbstractObjectRenderer`

### renderHeader

    public void renderHeader(RendererContext rendererContext,
                             RegionRendererContext rrc)
                      throws RenderException

  Specified by:
    `renderHeader` in interface `RegionRenderer`
  Throws:
    `RenderException`

### renderBody

    public void renderBody(RendererContext rendererContext,
                           RegionRendererContext rrc)
                    throws RenderException

  Specified by:
    `renderBody` in interface `RegionRenderer`
  Throws:
    `RenderException`
  See Also:
    `RegionRenderer.renderBody(org.jboss.portal.theme.render.RendererContext, org.jboss.portal.theme.render.renderer.RegionRendererContext)`

### renderFooter

    public void renderFooter(RendererContext rendererContext,
                             RegionRendererContext rrc)
                      throws RenderException

  Specified by:
    `renderFooter` in interface `RegionRenderer`
  Throws:
    `RenderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD